Skip to main content
System Global Type/Progress Bar Operations
GETProgress Bar OperationsSince 1.11SynchronousAuth Required

GetTaskProgress

GetTaskProgress

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • apiIdString

    Optional. The API ID corresponded by the task.

Query Parameters

  • allboolean

    Optional. Obtains all the progress information.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • taskUuidStringRequired

      任务UUID。

    • taskNameStringRequired

      任务名称。

    • parentUuidStringRequired

      父级资源UUID。

    • typeStringRequired

      类型。

    • contentStringRequired

      内容。

    • opaqueLinkedHashMapRequired

      No description provided.

    • timeLongRequired

      时间。

    • totalStepsIntegerRequired

      总步骤。

    • currentStepIntegerRequired

      当前步骤。

    • subTasksListRequired

      See subTasks.

Endpoint

GET/zstack/v1/task-progresses/{apiId}

/zstack/v1/task-progresses/{apiId}

Operation ID

GetTaskProgress

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/task-progresses/{apiId}?all=True&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "taskUuid": "931102503f64436ea649939ff3957406", "taskName": "org.zstack.header.vm.APICreateVmInstanceMsg", "type": "Task", "content": "Choose backup storage for downloading the image", "time": 1.510669257141E12 } ] }

Change History

This API has no change history records yet.

View all change history